from checkMatricesAndPeripheralsHelpers import *

Q = QuadraticField(-3)
psi = Q.gen()
w = (1+psi)/2

a = matrix(Q,[[ 0,-1],[ 1, 0]])
t = matrix(Q,[[ 1, 1],[ 0, 1]])
u = matrix(Q,[[ 1, w**2],[ 0, 1]])
l = matrix(Q,[[1/w**2, 0], [0, w**2]])

P = [[ t, u ]]

# Check that we didn't do any mistakes typing in the matrices or
# peripheral elements by checking against the relations and checking
# that the given matrices for P are parabolic.
ensurePslMatricesAreIdentity([
        Com(t,u),a**2,(a*l)**2,(t*a)**3,l**3,(u*a*l)**3,
        l**-1*t*l*u*t,l**-1*u*l*t**-1])
ensurePslMatricesAreParabolic(P)
