#!/bin/bash

# This is a shell script generating each principal congruence manifold
# of class number > 1 necessary to classify all principal congruence
# link complements when using some results about covering spaces.

sage -python generatePrincipalCongruenceManifold.py 5 1 0
sage -python generatePrincipalCongruenceManifold.py 5 2 0
sage -python generatePrincipalCongruenceManifold.py 5 2 0 1 1
sage -python generatePrincipalCongruenceManifold.py 5 3 0
sage -python generatePrincipalCongruenceManifold.py 5 0 1
sage -python generatePrincipalCongruenceManifold.py 5 1 1
sage -python generatePrincipalCongruenceManifold.py 5 1 1 3 0
sage -python generatePrincipalCongruenceManifold.py 5 2 1
sage -python generatePrincipalCongruenceManifold.py 5 3 1
sage -python generatePrincipalCongruenceManifold.py 5 3 1 1 -2
sage -python generatePrincipalCongruenceManifold.py 5 4 1
sage -python generatePrincipalCongruenceManifold.py 5 1 2
sage -python generatePrincipalCongruenceManifold.py 5 3 2
sage -python generatePrincipalCongruenceManifold.py 5 4 2 3 -3

sage -python generatePrincipalCongruenceManifold.py 6 1 0
sage -python generatePrincipalCongruenceManifold.py 6 2 0
sage -python generatePrincipalCongruenceManifold.py 6 2 0 0 1
sage -python generatePrincipalCongruenceManifold.py 6 5 0
sage -python generatePrincipalCongruenceManifold.py 6 0 1 3 0
sage -python generatePrincipalCongruenceManifold.py 6 1 1
sage -python generatePrincipalCongruenceManifold.py 6 2 1
sage -python generatePrincipalCongruenceManifold.py 6 2 1 3 -1
sage -python generatePrincipalCongruenceManifold.py 6 4 1 3 -2
sage -python generatePrincipalCongruenceManifold.py 6 5 1
sage -python generatePrincipalCongruenceManifold.py 6 1 2

sage -python generatePrincipalCongruenceManifold.py 15 1 0
sage -python generatePrincipalCongruenceManifold.py 15 2 0
sage -python generatePrincipalCongruenceManifold.py 15 3 0
sage -python generatePrincipalCongruenceManifold.py 15 5 0
sage -python generatePrincipalCongruenceManifold.py 15 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 15 1/2 1/2 2 0
sage -python generatePrincipalCongruenceManifold.py 15 3/2 1/2
sage -python generatePrincipalCongruenceManifold.py 15 3/2 1/2 3/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 15 5/2 1/2
sage -python generatePrincipalCongruenceManifold.py 15 5/2 1/2 5/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 15 7/2 1/2
sage -python generatePrincipalCongruenceManifold.py 15 0 1
sage -python generatePrincipalCongruenceManifold.py 15 1 1 7/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 15 2 1
sage -python generatePrincipalCongruenceManifold.py 15 3 1 9/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 15 4 1
sage -python generatePrincipalCongruenceManifold.py 15 1/2 3/2 11/2 -1/2

sage -python generatePrincipalCongruenceManifold.py 23 1 0
sage -python generatePrincipalCongruenceManifold.py 23 2 0
sage -python generatePrincipalCongruenceManifold.py 23 2 0 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 23 3 0
sage -python generatePrincipalCongruenceManifold.py 23 5 0
sage -python generatePrincipalCongruenceManifold.py 23 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 23 1/2 1/2 3 0
sage -python generatePrincipalCongruenceManifold.py 23 3/2 1/2
sage -python generatePrincipalCongruenceManifold.py 23 3/2 1/2 5/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 23 5/2 1/2
sage -python generatePrincipalCongruenceManifold.py 23 5/2 1/2 7/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 23 7/2 1/2
sage -python generatePrincipalCongruenceManifold.py 23 7/2 1/2 2 -1
sage -python generatePrincipalCongruenceManifold.py 23 9/2 1/2 4 -1
sage -python generatePrincipalCongruenceManifold.py 23 0 1
sage -python generatePrincipalCongruenceManifold.py 23 3 1 13/2 -1/2

sage -python generatePrincipalCongruenceManifold.py 31 1 0
sage -python generatePrincipalCongruenceManifold.py 31 2 0
sage -python generatePrincipalCongruenceManifold.py 31 2 0 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 31 3 0
sage -python generatePrincipalCongruenceManifold.py 31 5 0
sage -python generatePrincipalCongruenceManifold.py 31 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 31 1/2 1/2 4 0
sage -python generatePrincipalCongruenceManifold.py 31 3/2 1/2
sage -python generatePrincipalCongruenceManifold.py 31 3/2 1/2 7/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 31 5/2 1/2 9/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 31 7/2 1/2 3 -1
sage -python generatePrincipalCongruenceManifold.py 31 11/2 1/2 5/2 -3/2
sage -python generatePrincipalCongruenceManifold.py 31 0 1

sage -python generatePrincipalCongruenceManifold.py 39 1 0
sage -python generatePrincipalCongruenceManifold.py 39 2 0
sage -python generatePrincipalCongruenceManifold.py 39 2 0 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 39 3 0
sage -python generatePrincipalCongruenceManifold.py 39 3 0 3/2 1/2
sage -python generatePrincipalCongruenceManifold.py 39 1/2 1/2 5 0
sage -python generatePrincipalCongruenceManifold.py 39 3/2 1/2 4 0
sage -python generatePrincipalCongruenceManifold.py 39 3/2 1/2 9/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 39 5/2 1/2 11/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 39 7/2 1/2 4 -1

sage -python generatePrincipalCongruenceManifold.py 47 1 0
sage -python generatePrincipalCongruenceManifold.py 47 2 0
sage -python generatePrincipalCongruenceManifold.py 47 2 0 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 47 3 0
sage -python generatePrincipalCongruenceManifold.py 47 3 0 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 47 5 0
sage -python generatePrincipalCongruenceManifold.py 47 1/2 1/2 4 0
sage -python generatePrincipalCongruenceManifold.py 47 1/2 1/2 6 0
sage -python generatePrincipalCongruenceManifold.py 47 3/2 1/2 11/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 47 5/2 1/2 7/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 47 5/2 1/2 13/2 -1/2
sage -python generatePrincipalCongruenceManifold.py 47 7/2 1/2 9/2 -1/2

sage -python generatePrincipalCongruenceManifold.py 71 1 0
sage -python generatePrincipalCongruenceManifold.py 71 2 0
sage -python generatePrincipalCongruenceManifold.py 71 2 0 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 71 3 0
sage -python generatePrincipalCongruenceManifold.py 71 3 0 1/2 1/2
sage -python generatePrincipalCongruenceManifold.py 71 4 0 3/2 1/2
sage -python generatePrincipalCongruenceManifold.py 71 4 0 1 1
sage -python generatePrincipalCongruenceManifold.py 71 1/2 1/2 6 0
sage -python generatePrincipalCongruenceManifold.py 71 1/2 1/2 9 0
sage -python generatePrincipalCongruenceManifold.py 71 3/2 1/2 5 0
sage -python generatePrincipalCongruenceManifold.py 71 9/2 1/2 10 -1






